Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.rdf
Class RDFParserFactory

    java.lang.Object
      org.apache.any23.extractor.rdf.RDFParserFactory

    public class RDFParserFactory

extends Object

This factory provides a common logic for creating and configuring correctly any RDF parser used within the library.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Constructor Summary
`RDFParserFactory()`

Method Summary
`static RDFParserFactory` | `getInstance()`
`NQuadsParser` | `getNQuadsParser(boolean verifyDataType, boolean stopAtFirstError, ExtractionContext extractionContext, ExtractionResult extractionResult)` Returns a new instance of a configured `NQuadsParser`.
`org.openrdf.rio.ntriples.NTriplesParser` | `getNTriplesParser(boolean verifyDataType, boolean stopAtFirstError, ExtractionContext extractionContext, ExtractionResult extractionResult)` Returns a new instance of a configured `NTriplesParser`.
`org.openrdf.rio.rdfxml.RDFXMLParser` | `getRDFXMLParser(boolean verifyDataType, boolean stopAtFirstError, ExtractionContext extractionContext, ExtractionResult extractionResult)` Returns a new instance of a configured `RDFXMLParser`.
`org.openrdf.rio.trix.TriXParser` | `getTriXParser(boolean verifyDataType, boolean stopAtFirstError, ExtractionContext extractionContext, ExtractionResult extractionResult)` Returns a new instance of a configured `TriXParser`.
`org.openrdf.rio.turtle.TurtleParser` | `getTurtleParserInstance(boolean verifyDataType, boolean stopAtFirstError, ExtractionContext extractionContext, ExtractionResult extractionResult)` Returns a new instance of a configured `TurtleParser`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDFParserFactory

    public RDFParserFactory()

Method Detail

### getInstance

    public static RDFParserFactory getInstance()

### getTurtleParserInstance

    public org.openrdf.rio.turtle.TurtleParser getTurtleParserInstance(boolean verifyDataType,
                                                                       boolean stopAtFirstError,
                                                                       ExtractionContext extractionContext,
                                                                       ExtractionResult extractionResult)

  Returns a new instance of a configured `TurtleParser`.

  Parameters:
    `verifyDataType` - data verification enable if `true`.
    `stopAtFirstError` - the parser stops at first error if `true`.
    `extractionContext` - the extraction context where the parser is used.
    `extractionResult` - the output extraction result.
  Returns:
    a new instance of a configured Turtle parser.

### getRDFXMLParser

    public org.openrdf.rio.rdfxml.RDFXMLParser getRDFXMLParser(boolean verifyDataType,
                                                               boolean stopAtFirstError,
                                                               ExtractionContext extractionContext,
                                                               ExtractionResult extractionResult)

  Returns a new instance of a configured `RDFXMLParser`.

  Parameters:
    `verifyDataType` - data verification enable if `true`.
    `stopAtFirstError` - the parser stops at first error if `true`.
    `extractionContext` - the extraction context where the parser is used.
    `extractionResult` - the output extraction result.
  Returns:
    a new instance of a configured RDFXML parser.

### getNTriplesParser

    public org.openrdf.rio.ntriples.NTriplesParser getNTriplesParser(boolean verifyDataType,
                                                                     boolean stopAtFirstError,
                                                                     ExtractionContext extractionContext,
                                                                     ExtractionResult extractionResult)

  Returns a new instance of a configured `NTriplesParser`.

  Parameters:
    `verifyDataType` - data verification enable if `true`.
    `stopAtFirstError` - the parser stops at first error if `true`.
    `extractionContext` - the extraction context where the parser is used.
    `extractionResult` - the output extraction result.
  Returns:
    a new instance of a configured NTriples parser.

### getNQuadsParser

    public NQuadsParser getNQuadsParser(boolean verifyDataType,
                                        boolean stopAtFirstError,
                                        ExtractionContext extractionContext,
                                        ExtractionResult extractionResult)

  Returns a new instance of a configured `NQuadsParser`.

  Parameters:
    `verifyDataType` - data verification enable if `true`.
    `stopAtFirstError` - the parser stops at first error if `true`.
    `extractionContext` - the extraction context where the parser is used.
    `extractionResult` - the output extraction result.
  Returns:
    a new instance of a configured NQuads parser.

### getTriXParser

    public org.openrdf.rio.trix.TriXParser getTriXParser(boolean verifyDataType,
                                                         boolean stopAtFirstError,
                                                         ExtractionContext extractionContext,
                                                         ExtractionResult extractionResult)

  Returns a new instance of a configured `TriXParser`.

  Parameters:
    `verifyDataType` - data verification enable if `true`.
    `stopAtFirstError` - the parser stops at first error if `true`.
    `extractionContext` - the extraction context where the parser is used.
    `extractionResult` - the output extraction result.
  Returns:
    a new instance of a configured TriX parser.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.